6

I have elementary Freya 0.3 installed.

If I upgrade it fully, do I get Freya 0.3.1 (the same one that can be downloaded) or do I end up with some half-breed between these two?

In the announcement of v0.3.1 someone commented:

"If you’re already running Freya, you will already have received all of the above (with the exception of the newly added hardware support) in your regular updates."

This is slightly confusing. Does that mean that newly added hardware support requires a new install or just an additional update?

to which Daniel responded:

A transitional package should be made available at some point in the future, but for now I would highly recommend a clean install as the best upgrade method.

This answer seems to imply that simply upgrading Freya 0.3 does not in fact result in the same system as a clean 0.3.1 install.

3

The kind of harsh but true answer is that you will never have the same exact thing as a clean install no matter OS you upgrade. There will always be some minor (and sometimes some major) differences, especially when the new version changes any default configuration files.

Specifically regarding the new hardware enablement stack, this is not pulled down automatically. While theoretically everyone should experience better results, it's possible that the new hardware stack will give certain setups worse results. If you're not experiencing any issues with your hardware, you should probably remain on the 0.3.0 (Trusty-based) stack.

If you need help upgrading to the new hardware stack from 0.3.0, please see this post

  • Thank you Daniel, this was the kind of authorized answer I was waiting for. – Gabriel Sep 8 '15 at 1:45
0

If you upgrade your system via Software Updater or apt-get dist-upgrade, the bugs won't be fixed, like the double cursor bug, so I suggest you to do a fresh install.

  • 1
    0.3.1 absolutely supports (U)EFI boot modes, but requires an internet connection to allocate the packages required for it. Unfortunately, our images either need to boot with a Grub that supports legacy systems offline, or (U)EFI systems offline, it cannot do both as the packages conflict with each other. The decision was made that it was more likely that legacy systems would not have a connection available, and so (U)EFI systems must, for now. – Lewis Goddard Sep 8 '15 at 8:03
  • elementary OS Freya 0.3, Ubuntu 14.04.3LTS, Manjaro, Mint, and OpenSUSE don't have the UEFI problem, but elementary OS Freya 0.3.1 does, unbelievable! – JulianLai Sep 8 '15 at 9:23
  • As far as I am aware, you can have legacy or (U)EFI work offline, and all of those systems have gone the opposite route to us, but their cycles encounter the same problem but on the other half of systems. – Lewis Goddard Sep 8 '15 at 17:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.